%define upstream_name    MooseX-Async
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    A Method Metaclass for MooseX::Async
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::AttributeHelpers)
BuildArch: noarch


%{?perl_default_filter}

%description
MooseX::Async is a set of Metaclasses for MooseX::POE and it's siblings.
Please see them for documentation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc ._Changes Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.70.0-14.mga9
+ Revision: 1809759
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-13.mga8
+ Revision: 1505342
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.70.0-12.mga7
+ Revision: 1285022
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.70.0-11.mga7
+ Revision: 1165578
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.70.0-10.mga7
+ Revision: 1159212
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-9.mga6
+ Revision: 1030326
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.70.0-8.mga6
+ Revision: 949265
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.70.0-7.mga5
+ Revision: 789354
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-6.mga5
+ Revision: 740601
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.70.0-5.mga5
+ Revision: 735778
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-4.mga5
+ Revision: 685517
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-3.mga4
+ Revision: 513121
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 370134
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 29149
- mageia rebuild
- imported package perl-MooseX-Async

